import React, { useEffect } from "react";
import "../../App.css";
import Footer from "../../Footer";
import InputField from "../InputField";
import SubmitField from "../SubmitField";
import { Logger } from "@behametrics/logger-web";
import BehaviorStudyInfo from "../BehaviorStudyInfo";
import BehaviorNormal from "../BehaviorNormal";

export default function Study() {
  let username = "";
  const setUsername = (tmp_username) => {
    username = tmp_username;
  };

  let password = "";
  const setPassword = (tmp_password) => {
    password = tmp_password;
  };

  let logger = new Logger({
    //inputs: ["cursor", "wheel", "keyboard", "touch"],
    inputs: ["keyboard"],
    // apiUrl: "https://behavior.marcocamenzind.ch",
    apiUrl: "http://localhost:5000",
    logToConsole: true,
  });

  logger.init();

  const handleLoggerOff = () => {
    logger.stop();
    console.log("Logger ausgeschaltet");
  };

  const handleLoggerOn = () => {
    logger.start();
    console.log("start logging ");
  };

  const handlePasswordChange = (e) => {
    setPassword(e.target.value);
  };

  const handleUsernameChange = (e) => {
    setUsername(e.target.value);
  };

  const handleOnPasteEvent = (e) => {
    e.preventDefault();
    return false;
  };

  const onSubmitClick = (e) => {
    e.preventDefault();
    let opts = {
      username: username,
      password: password,
    };
    fetch("/api/protected/behavior", {
      method: "post",
      body: JSON.stringify(opts),
    }).then((response) => {
      console.log(response.status);
      if (response.status === 401) {
        response.json().then((resp) => {
          console.log("nicht so wirklich gut");
          // setErrorMessage(resp.message);
        });
      } else {
        response.json().then((token) => {
          console.log("Alles gut :-)");
        });
      }
    });
  };

  return (
    <>
      <div className="sitePage">
        <h1>Studie</h1>
        <button onClick={handleLoggerOn}>LOGGER StaRTEN</button>
        <BehaviorStudyInfo />{" "}
        <form id="behaviorNormal" action="#">
          <SubmitField
            LabelName="Starten mit der Studie"
            InputValue="next-situation"
            InputName="Weiter"
            onClick={handleLoggerOn}
          />
        </form>{" "}
        <BehaviorNormal />
        <form id="behaviorNormal" action="#">
          <InputField
            LabelName="Benutzername"
            onChange={handleUsernameChange}
            InputType="text"
            InputName="Benutzername"
            InputPlaceHolder="Benutzername"
            onPaste={handleOnPasteEvent}
          />
          <InputField
            LabelName="Passwort"
            onChange={handlePasswordChange}
            InputType="password"
            InputName="Passwort"
            InputPlaceHolder="Benutzername"
            onPaste={handleOnPasteEvent}
          />
          <SubmitField
            LabelNa
            me="Weiter zur nächsten Situation"
            InputValue="next-situation"
            InputName="Weiter"
            onClick={onSubmitClick}
          />
        </form>
        <button onClick={handleLoggerOff}>STOP THAT FUCKING LOGGER</button>
      </div>
      <Footer />
    </>
  );
}
